# Image Attachments

Certain objects in NetBox support the attachment of uploaded images. These will be saved to the NetBox server and made available whenever the object is viewed.

## Fields

### Name

The name of the image being attached. If not defined, this will be inferred from the name of the uploaded file.

### Image

The image file to upload. Note that the uploaded file **must** be a supported image type, or validation will fail.
